=== src/Mod/Material/CMakeLists.txt ===
add_subdirectory(App)

if(BUILD_GUI)
    add_subdirectory(Gui)
endif(BUILD_GUI)

SET(MaterialScripts_Files
    Init.py
    InitGui.py
    importFCMat.py
    MaterialEditor.py
    TestMaterialsApp.py
    Templatematerial.yml
)

# SOURCE_GROUP("MaterialScripts" FILES ${MaterialScripts_Files})
SET(MaterialTools_Files
    materialtools/__init__.py
    materialtools/cardutils.py
    materialtools/MaterialModels.py
)

# collect all the material cards:
SET(MaterialLib_Files
    Resources/Materials/Standard/Default.FCMat
    Resources/Materials/Standard/Aggregate/Concrete-EN-C35_45.FCMat
    Resources/Materials/Standard/Aggregate/Concrete-Generic.FCMat
    Resources/Materials/Standard/Aggregate/Reinforcement-FIB-B500.FCMat
    Resources/Materials/Standard/Carbon/Graphite.FCMat
    Resources/Materials/Standard/Glass/Glass-E-GlassFibre.FCMat
    Resources/Materials/Standard/Glass/Glass-Generic.FCMat
    Resources/Materials/Standard/Glass/Glass-S2-GlassFibre.FCMat
    Resources/Materials/Standard/Metal/Alloys/Invar-Generic.FCMat
    Resources/Materials/Standard/Metal/Aluminum/AlMg3F24.FCMat
    Resources/Materials/Standard/Metal/Aluminum/AlMgSi1F31.FCMat
    Resources/Materials/Standard/Metal/Aluminum/Aluminum-6061-T6.FCMat
    Resources/Materials/Standard/Metal/Aluminum/Aluminum-Generic.FCMat
    Resources/Materials/Standard/Metal/Aluminum/AlZn4-5Mg1F35.FCMat
    Resources/Materials/Standard/Metal/Copper/Copper-Generic.FCMat
    Resources/Materials/Standard/Metal/Iron/Iron-Generic.FCMat
    Resources/Materials/Standard/Metal/Steel/CalculiX-Steel.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-15CrNi6.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-17CrNiMo6.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-1C22.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-1C35.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-1C45.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-1C60.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-20NiCrMo2.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-28Mn6.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-2C10.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-30CrNiMo8.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-34CrNiMo6.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-36CrNiMo4.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-36NiCrMo16.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-3C15.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-3C22.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-3C35.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-3V45.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C10.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C15.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C22E.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C25E.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C30E.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C40E.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C50E.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C55E.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-C60E.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-E295-GC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-E295.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-E335-GC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-E335.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-E360-GC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-E360.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJL-100.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJL-150.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJL-200.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJL-250.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJL-300.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJL-350.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJMB-350-10.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJMB-550-4.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJMB-650-2.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJMW-350-4.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJMW-360-12.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJMW-400-5.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJMW-450-7.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJS-400-15.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJS-500-7.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJS-600-3.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJS-700-2.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-EN-GJS-800-1.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-G16Mn5.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-G200.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-G20Mn5.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-G230.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-G260.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-G300.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-G30Mn5.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-Generic.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S185.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S235JO.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S235JR.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S235JRG1.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S260NC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S275JO.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S275JR.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S275N.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S335JO.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S335JR.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S335N.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S340MC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S355J2G3.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S380MC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S420MC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S420N.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S460MC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S460N.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S500MC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S550MC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-S690MC.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-St-37-2K.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-St-E-255.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-St-E-315.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-St-E-380.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-St-E-460.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-St-E-500.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-X2CrNiMoN17-13-3.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-X2CrNiN24-4.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-X39CrMo17-1.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-X3CrNiMo13-14.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-X5CrNi18-10.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-X5CrNiMo17-12-2.FCMat
    Resources/Materials/Standard/Metal/Steel/Steel-X6CrNiTi18-10.FCMat
    Resources/Materials/Standard/Metal/Titanium/Ti-6Al-4V.FCMat
    Resources/Materials/Standard/Thermoplast/ABS-Generic.FCMat
    Resources/Materials/Standard/Thermoplast/Acrylic-Glass-Generic.FCMat
    Resources/Materials/Standard/Thermoplast/PA6-Generic.FCMat
    Resources/Materials/Standard/Thermoplast/PET-Generic.FCMat
    Resources/Materials/Standard/Thermoplast/PLA-Generic.FCMat
    Resources/Materials/Standard/Thermoplast/PP-Generic.FCMat
    Resources/Materials/Standard/Thermoplast/PTFE-Generic.FCMat
    Resources/Materials/Standard/Thermoplast/PVC-Generic.FCMat
    Resources/Materials/Standard/Wood/Wood-Generic.FCMat
)

SET(FluidMaterial_Files
    Resources/Materials/Fluid/None.FCMat
    Resources/Materials/Fluid/Air.FCMat
    Resources/Materials/Fluid/Argon.FCMat
    "Resources/Materials/Fluid/Carbon Dioxide.FCMat"
    Resources/Materials/Fluid/Nitrogen.FCMat
    Resources/Materials/Fluid/Water.FCMat
)

SET(AppearanceLib_Files
    Resources/Materials/Appearance/Aluminum.FCMat
    Resources/Materials/Appearance/Brass.FCMat
    Resources/Materials/Appearance/Bronze.FCMat
    Resources/Materials/Appearance/Chrome.FCMat
    Resources/Materials/Appearance/Copper.FCMat
    Resources/Materials/Appearance/Default.FCMat
    Resources/Materials/Appearance/Emerald.FCMat
    Resources/Materials/Appearance/Gold.FCMat
    Resources/Materials/Appearance/Jade.FCMat
    Resources/Materials/Appearance/Metalized.FCMat
    "Resources/Materials/Appearance/Neon GNC.FCMat"
    "Resources/Materials/Appearance/Neon PHC.FCMat"
    Resources/Materials/Appearance/Obsidian.FCMat
    Resources/Materials/Appearance/Pewter.FCMat
    Resources/Materials/Appearance/Plaster.FCMat
    Resources/Materials/Appearance/Plastic.FCMat
    Resources/Materials/Appearance/Ruby.FCMat
    Resources/Materials/Appearance/Satin.FCMat
    "Resources/Materials/Appearance/Shiny Plastic.FCMat"
    Resources/Materials/Appearance/Silver.FCMat
    Resources/Materials/Appearance/Steel.FCMat
    Resources/Materials/Appearance/Stone.FCMat
    Resources/Materials/Appearance/Wood.FCMat
)

SET(PatternLib_Files
    Resources/Materials/Patterns/PAT/Diagonal4.FCMat
    Resources/Materials/Patterns/PAT/Diagonal5.FCMat
    Resources/Materials/Patterns/PAT/Diamond.FCMat
    Resources/Materials/Patterns/PAT/Diamond2.FCMat
    Resources/Materials/Patterns/PAT/Diamond4.FCMat
    Resources/Materials/Patterns/PAT/Horizontal5.FCMat
    Resources/Materials/Patterns/PAT/Square.FCMat
    Resources/Materials/Patterns/PAT/Vertical5.FCMat
    "Resources/Materials/Patterns/Pattern Files/aluminum.FCMat"
    "Resources/Materials/Patterns/Pattern Files/brick01.FCMat"
    "Resources/Materials/Patterns/Pattern Files/concrete.FCMat"
    "Resources/Materials/Patterns/Pattern Files/cross.FCMat"
    "Resources/Materials/Patterns/Pattern Files/cuprous.FCMat"
    "Resources/Materials/Patterns/Pattern Files/diagonal1.FCMat"
    "Resources/Materials/Patterns/Pattern Files/diagonal2.FCMat"
    "Resources/Materials/Patterns/Pattern Files/earth.FCMat"
    "Resources/Materials/Patterns/Pattern Files/general_steel.FCMat"
    "Resources/Materials/Patterns/Pattern Files/glass.FCMat"
    "Resources/Materials/Patterns/Pattern Files/hatch45L.FCMat"
    "Resources/Materials/Patterns/Pattern Files/hatch45R.FCMat"
    "Resources/Materials/Patterns/Pattern Files/hbone.FCMat"
    "Resources/Materials/Patterns/Pattern Files/line.FCMat"
    "Resources/Materials/Patterns/Pattern Files/plastic.FCMat"
    "Resources/Materials/Patterns/Pattern Files/plus.FCMat"
    "Resources/Materials/Patterns/Pattern Files/simple.FCMat"
    "Resources/Materials/Patterns/Pattern Files/solid.FCMat"
    "Resources/Materials/Patterns/Pattern Files/square.FCMat"
    "Resources/Materials/Patterns/Pattern Files/steel.FCMat"
    "Resources/Materials/Patterns/Pattern Files/titanium.FCMat"
    "Resources/Materials/Patterns/Pattern Files/wood.FCMat"
    "Resources/Materials/Patterns/Pattern Files/woodgrain.FCMat"
    "Resources/Materials/Patterns/Pattern Files/zinc.FCMat"
)

SET(MachiningLib_Files
    Resources/Materials/Machining/AluminumCastAlloy.FCMat
    Resources/Materials/Machining/AluminumWroughtAlloy.FCMat
    Resources/Materials/Machining/AusteniticStainlessSteel.FCMat
    Resources/Materials/Machining/BalsaWood.FCMat
    Resources/Materials/Machining/GrayCastIron.FCMat
    Resources/Materials/Machining/HardWood.FCMat
