=== tests/src/Mod/CMakeLists.txt ===
if(BUILD_ASSEMBLY)
  add_subdirectory(Assembly)
endif(BUILD_ASSEMBLY)
if(BUILD_MATERIAL)
  add_subdirectory(Material)
endif(BUILD_MATERIAL)
if(BUILD_MESH)
  add_subdirectory(Mesh)
endif(BUILD_MESH)
if(BUILD_MESH_PART)
  add_subdirectory(MeshPart)
endif(BUILD_MESH_PART)
if(BUILD_PART)
  add_subdirectory(Part)
endif(BUILD_PART)
if(BUILD_PART_DESIGN)
  add_subdirectory(PartDesign)
endif(BUILD_PART_DESIGN)
if(BUILD_POINTS)
  add_subdirectory(Points)
endif(BUILD_POINTS)
if(BUILD_SKETCHER)
    add_subdirectory(Sketcher)
endif(BUILD_SKETCHER)
